## getfem++ 4.2+dfsg1

=== doc/sphinx/source/userdoc/images/Makefile ===
FIGS=getfemlistargyris.fig                   \
     getfemlistcubeQ1.fig                    \
     getfemlistcubeQ3.fig                    \
     getfemlistHCT.fig                       \
     getfemlistincomplete.fig                \
     getfemlistintmethodquad2.fig            \
     getfemlistintmethodquad3.fig            \
     getfemlistintmethodquad5.fig            \
     getfemlistintmethodtetrahedron1.fig     \
     getfemlistintmethodtetrahedron2.fig     \
     getfemlistintmethodtetrahedron3.fig     \
     getfemlistintmethodtetrahedron5.fig     \
     getfemlistintmethodtriangle1.fig        \
     getfemlistintmethodtriangle2comp.fig    \
     getfemlistintmethodtriangle2.fig        \
     getfemlistintmethodtriangle3.fig        \
     getfemlistintmethodtriangle4.fig        \
     getfemlistintmethodtriangle5.fig        \
     getfemlistintmethodtriangle6.fig        \
     getfemlistintmethodtriangle7.fig        \
     getfemlistmorley.fig                    \
     getfemlistnedelec.fig                   \
     getfemlistprismP1.fig                   \
     getfemlistprismP2P1.fig                 \
     getfemlistprismP3.fig                   \
     getfemlistquadc1composite.fig           \
     getfemlistquadQ1.fig                    \
     getfemlistquadQ3.fig                    \
     getfemlistreducedHCT.fig                \
     getfemlistreducedquadc1composite.fig    \
     getfemlistRT0.fig                       \
     getfemlistsegmentbubble.fig             \
     getfemlistsegmenthermite.fig            \
     getfemlistsegmenthier.fig               \
     getfemlistsegmentPk.fig                 \
     getfemlistsymbols00.fig                 \
     getfemlistsymbols01.fig                 \
     getfemlistsymbols02.fig                 \
     getfemlistsymbols03.fig                 \
     getfemlistsymbols04.fig                 \
     getfemlistsymbols05.fig                 \
     getfemlistsymbols06.fig                 \
     getfemlistsymbols07.fig                 \
     getfemlistsymbols08.fig                 \
     getfemlistsymbols09.fig                 \
     getfemlistsymbols10.fig                 \
     getfemlistsymbols11.fig                 \
     getfemlistsymbols12.fig                 \
     getfemlistsymbols13.fig                 \
     getfemlisttetrahedronhermite.fig        \
     getfemlisttetrahedronP1bubbleface.fig   \
     getfemlisttetrahedronP1bubble.fig       \
     getfemlisttetrahedronP1.fig             \
     getfemlisttetrahedronP2bubble.fig       \
     getfemlisttetrahedronP2.fig             \
     getfemlisttetrahedronP3bubble.fig       \
     getfemlisttetrahedronP4.fig             \
     getfemlisttrianglehermite.fig           \
     getfemlisttriangleP1bubbleface.fig      \
     getfemlisttriangleP1bubble.fig          \
     getfemlisttriangleP1comp.fig            \
     getfemlisttriangleP1comphier.fig        \
     getfemlisttriangleP1.fig                \
     getfemlisttriangleP1linbubble.fig       \
     getfemlisttriangleP1nonconforming.fig   \
     getfemlisttriangleP1withP2face.fig      \
     getfemlisttriangleP2bubble.fig          \
     getfemlisttriangleP2.fig                \
     getfemlisttriangleP3.fig                \
     getfemlisttriangleP6.fig                \
     getfemuserelemf.fig                     \
     getfemuserelem.fig                      \
     getfemuserlinearsys.fig                 \
     getfemuserlinsysDir.fig                 \
     getfemuserrefine.fig

EPSFIGS=$(FIGS:.fig=.eps)
PNGFIGS=$(FIGS:.fig=.png)

.SUFFIXES: .fig .eps .png

.fig.eps:
	../../../../../bin/fig2eps $(@:.eps=.fig)

.eps.png:
	convert $(@:.png=.eps) $@

png: $(PNGFIGS)

clean:
	-rm -rf *.aux
	-rm -rf *.dvi
	-rm -rf *.log
	-rm -rf *.bak
	-rm -rf $(EPSFIGS)
	-rm -rf $(PNGFIGS)

## getfem++ 4.1

=== debian/changelog ===
getfem++ (4.1-1ubuntu8) natty; urgency=low

  * Rebuild with python-numpy 1.5.1 (LP: #711663)

 -- Sameer Morar <smorar@gmail.com>  Wed, 02 Feb 2011 05:37:17 +0000

getfem++ (4.1-1ubuntu7) natty; urgency=low

  * Ignore test results on i386, non-deterministic failure (LP: #600209)

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 12 Dec 2010 22:49:53 +0200

getfem++ (4.1-1ubuntu6) natty; urgency=low

  * No-change rebuild for Python 2.7 support, now that 2.7 is default.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 12 Dec 2010 19:19:37 +0200

getfem++ (4.1-1ubuntu5) natty; urgency=low

  * Do not ignore test results (change introduced with last upload).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Dec 2010 12:40:28 +0100

getfem++ (4.1-1ubuntu4) natty; urgency=low

  * Fix build with ld --no-add-needed.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Dec 2010 11:28:46 +0100

getfem++ (4.1-1ubuntu3) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:00:32 +0000

getfem++ (4.1-1ubuntu2) maverick; urgency=low

  * Remove the symbols files again, no reverse dependencies in the
    archive, let the package build for maverick.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Sep 2010 20:21:07 +0200

getfem++ (4.1-1ubuntu1) maverick; urgency=low

  * Merge with Debian; remaining changes:
    - Add symbols files.
    - Run make check in debian/rules after install to run the test suite.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Aug 2010 18:25:13 +0200

getfem++ (4.1-1) unstable; urgency=low

  * New upstream release
  * Add dependency of libgetfem++-dev on libgmm++-dev
  * Enable muparser support
  * Add build dependency on python-scipy
  * Enable mumps_seq support

  [ Sylvestre Ledru ]
  * Update of debian/copyright. Remove reference file to BSD license
    to include the license directly.

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Tue, 20 Jul 2010 08:34:32 +0200

getfem++ (4.0.0-4ubuntu2) maverick; urgency=low

  * Add debian/libgetfem4++.symbols.i386 file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Jun 2010 11:29:58 +0000

getfem++ (4.0.0-4ubuntu1) maverick; urgency=low

  * Add libgetfem4++.symbols file
  * run make check in debian/rules after install to run the test suite

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Jun 2010 16:50:59 +0100

getfem++ (4.0.0-4) unstable; urgency=low

  * Missing dependency on python-numpy
  * Standards-Version updated to 3.8.4
  * Package moved to Debian Science
  * ${misc:Depends} missing for libgetfem++-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 19 Mar 2010 15:21:51 +0100

getfem++ (4.0.0-3) unstable; urgency=low

  * Fix broken superlu interface in libgmm++-dev (Closes: #552709)

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Tue, 22 Dec 2009 14:41:24 +0100

getfem++ (4.0.0-2) unstable; urgency=low

  * Rebuild with python-support (>= 1.0.4). See #549283.
  * debian/control (Build-Depends): add version restriction (>= 1.0.4)
    to python-support

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Fri, 09 Oct 2009 12:51:52 +0200

getfem++ (4.0.0-1) unstable; urgency=low

  * Initial release (Closes: #453065)

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Tue, 29 Sep 2009 13:34:52 +0200

=== debian/control ===
Source: getfem++
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Konstantinos Poulios <poulios.konstantinos@gmail.com>
Build-Depends: debhelper (>= 7),
    autotools-dev, libtool, automake, autoconf,
    libblas-dev, libboost-dev, libqhull-dev, libsuperlu3-dev,
    libmumps-seq-dev, libmuparser-dev,
    python-numpy, python-scipy, python-all-dev, python-support (>= 1.0.4)
XS-Python-Version: all
Standards-Version: 3.9.0
Section: libs
Homepage: http://home.gna.org/getfem/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/getfem++/
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/getfem++/

Package: libgetfem4++
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.


Package: libgetfem++-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgetfem4++ (= ${binary:Version})
Description: Debugging symbols for the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains debugging files used to investigate problems with
 binaries included in the GETFEM++ packages.


Package: libgetfem++-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgetfem4++ (= ${binary:Version}), libboost-dev,
    libgmm++-dev
Description: Development files for the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains development files for building software that uses the
 GETFEM++ library.


Package: libgmm++-dev
Section: libdevel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Generic C++ template library for sparse, dense and skyline matrices
 GMM++ is a framework of pre-defined methods for matrix computation. It is built
 as a set of generic algorithms for any interfaced vector type or matrix type.
 .
 It can be viewed as a glue library allowing cooperation between several vector
 and matrix types. However, basic sparse, dense and skyline matrix/vector types
 are built-in, hence it can be used as a standalone linear algebra library.


Package: python-getfem++
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
    libgetfem4++ (= ${binary:Version}), python-numpy
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: Python interface to the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains the Python interface to GETFEM++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif


PYVERS=$(shell pyversions -vr)

configure_flags= $(CROSS) --prefix=/usr \
		--enable-boost --enable-shared --with-pic \
		--enable-python --enable-muparser \
		--disable-matlab --disable-superlu \
		--with-mumps="-ldmumps_seq -lzmumps_seq -lpord_seq" \
		CFLAGS="$(CFLAGS)"


# shared library versions, option 1
version=4.1.0
major=4
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	aclocal -I ./m4
	libtoolize -f
	autoheader
	autoreconf
	autoconf
	automake -a --gnu `find . -name Makefile.am | sed -e 's@\./\(.*\)\.am@\1@g'`
	./configure $(configure_flags)

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	cd tests; make check || [ "$(DEB_BUILD_ARCH)" = "i386" ]
	# Tests appear to be non-deterministic on i386 LP: #600209
	@[ "$(DEB_BUILD_ARCH)" = "i386" ] && echo -e "=====================\nTests ignored on i386\n=====================" || true


# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_installexamples -i #not really needed
	dh_install -i --list-missing --sourcedir=debian/tmp
#	dh_installman -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples -a #not really needed
	dh_install -a --list-missing --sourcedir=debian/tmp
#	dh_installman -a
	dh_link -a
	dh_strip -a --dbg-package=libgetfem++-dbg
	dh_compress -a
	dh_fixperms -a
	dh_pysupport --package=python-getfem++
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure

## getfem++ 4.1.1

=== debian/changelog ===
getfem++ (4.1.1-8) unstable; urgency=low

  * [9a9056f] Do not use scilab on s390x and hurd, BD-problem.
  * [1331fd5] Update copyright-file.
  * [93162c9] Add dh_numpy to debian/rules.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 16 Mar 2012 22:12:09 +0100

getfem++ (4.1.1-7) unstable; urgency=low

  * [f97ed71] Disable muparser on hurd-i386, because libmuparser-dev 
              does not persist on this platform.
  * [efa5204] Disable mumps on s390x, because libmumps-seq-dev 
              does not persist on this platform.
  * [0edee68] Fix path in debian/copyright Format-field.
  * [b6807c2] Add debian/README.source.
  * [6624d34] Add "DM-Upload-Allowed: yes" flag.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 30 Jan 2012 23:06:02 +0100

getfem++ (4.1.1-6) unstable; urgency=low

  * [c4edb51] Migrate to git.
  * [849b0e0] Use compat 9. Fix python-dependencies (use 2.7 explicitely).
  * [c087f62] Fix build with ld --no-add-needed. (Closes: #640410)
  * [15903db] Use dh9 for debian/rules.
  * [b28db0d] Add myself to uploaders.
  * [4442d8e] Don`t install scilab-getfem++ on kfreebsd* platforms, because 
              scilab-minimal-bin is not available on them. (Closes: #639597)
  * [65f2e3d] Update VCS-fields.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 27 Jan 2012 22:35:43 +0100

getfem++ (4.1.1-5) unstable; urgency=low

  * Team upload
  * Same player try again: fix of the FTBFS under kfreebsd.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Aug 2011 18:04:30 +0200

getfem++ (4.1.1-4) unstable; urgency=low

  * Team upload
  * FTBFS under kfreebsd. Scilab is disabled (Closes: #636795)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 06 Aug 2011 11:05:54 +0200

getfem++ (4.1.1-3) unstable; urgency=low

  * Disable scilab-getfem++ under kfreebsd-* and mips until the openjdk is
    ported/fixed on these archs (Closes: #624323)
  * Kill the .la file (Closes: #621311)
  * Add libmuparser-dev and libsuperlu3-dev to the dependencies of
    libgetfem++-dev to make getfem-config working out of the box
    (Closes: #596916)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Aug 2011 16:44:59 +0200

getfem++ (4.1.1-2) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 07 Feb 2011 11:03:50 +0100

getfem++ (4.1.1-1) experimental; urgency=low

  * Team upload
  * New upstream release
  * Increase the soname (Closes: #591514)
  * Standards-Version updated to version 3.9.1
  * Creation of the scilab-getfem++ package

  [ Konstantinos Poulios ]
  * Remove redundant checks for mumps in the configure script

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Nov 2010 00:34:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: getfem++
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Konstantinos Poulios <poulios.konstantinos@gmail.com>
-Build-Depends: debhelper (>= 7),
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Konstantinos Poulios <poulios.konstantinos@gmail.com>,
+    Anton Gladky <gladky.anton@gmail.com>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 9),
     autotools-dev, libtool, automake, autoconf,
-    libblas-dev, libboost-dev, libqhull-dev, libsuperlu3-dev,
-    libmumps-seq-dev, libmuparser-dev,
-    python-numpy, python-scipy, python-all-dev, python-support (>= 1.0.4)
-XS-Python-Version: all
-Standards-Version: 3.9.0
+    libblas-dev, libboost-dev, libqhull-dev,
+    libsuperlu3-dev, libmumps-seq-dev [!s390x], libmuparser-dev [!hurd-i386],
+    python-numpy, python-scipy, python-all-dev, python-support (>= 1.0.4),
+    scilab-include  [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x],
+    scilab [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x]
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://home.gna.org/getfem/
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/getfem++/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/getfem++/
+Vcs-Git: git://git.debian.org/git/debian-science/packages/getfem.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/getfem.git
 
 Package: libgetfem4++
 Section: libs
@@ -42,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, libgetfem4++ (= ${binary:Version}), libboost-dev,
-    libgmm++-dev
+    libgmm++-dev, libsuperlu3-dev, libmuparser-dev [!hurd-i386]
 Description: Development files for the GETFEM++ generic finite element library
  GETFEM++ is a library allowing the computation of any elementary matrix (even
  for mixed finite element methods) on the largest class of methods and elements,
@@ -69,8 +71,9 @@
 Section: python
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
-    libgetfem4++ (= ${binary:Version}), python-numpy
-XB-Python-Version: ${python:Versions}
+    libgetfem4++ (= ${binary:Version}), python-numpy, 
+    python (>= 2.7), python (<<2.8)
+X-Python-Version: current
 Provides: ${python:Provides}
 Description: Python interface to the GETFEM++ generic finite element library
  GETFEM++ is a library allowing the computation of any elementary matrix (even
@@ -78,3 +81,15 @@
  and for arbitrary dimension.
  .
  This package contains the Python interface to GETFEM++.
+
+
+Package: scilab-getfem++
+Architecture: alpha amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
+Depends: ${shlibs:Depends}, ${misc:Depends},
+    libgetfem4++ (= ${binary:Version}), scilab
+Description: Scilab interface to the GETFEM++ generic finite element library
+ GETFEM++ is a library allowing the computation of any elementary matrix (even
+ for mixed finite element methods) on the largest class of methods and elements,
+ and for arbitrary dimension.
+ .
+ This package contains the Scilab interface to GETFEM++.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

#=====================================================================
# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

export CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

configure_flags= $(CROSS) --prefix=/usr \
		--enable-boost --enable-shared --with-pic \
		--enable-python \
		--disable-matlab --disable-superlu \
		CFLAGS="$(CFLAGS)" \
		CXXFLAGS="$(CXXFLAGS)" \
		CPPFLAGS="$(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" 

disable_scilab_archs   = mips kfreebsd-amd64 kfreebsd-i386
ifneq (,$(filter $(DEB_HOST_ARCH), $(disable_scilab_archs)))
	configure_flags += --disable-scilab
else
	configure_flags += --enable-scilab --with-scilab-toolbox-dir=$(CURDIR)/debian/tmp/usr/lib/scilab-getfem++/
endif

disable_muparser_archs = hurd-i386
ifneq (,$(filter $(DEB_HOST_ARCH), $(disable_muparser_archs)))
	configure_flags += --disable-muparser
else
	configure_flags += --enable-muparser 
endif

disable_mumps_archs = s390x
ifneq (,$(filter $(DEB_HOST_ARCH), $(disable_mumps_archs)))
	configure_flags += --disable-mumps
else
	configure_flags += --enable-mumps --with-mumps="-lsmumps_seq -ldmumps_seq -lcmumps_seq -lzmumps_seq -lpord_seq"  
endif




# shared library versions, option 1
version=4.1.1
major=5
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

#=====================================================================

override_dh_auto_configure:
	aclocal -I ./m4
	libtoolize -f
	autoheader
	autoreconf
	autoconf
	automake -a --gnu `find . -name Makefile.am | sed -e 's@\./\(.*\)\.am@\1@g'`
	./configure $(configure_flags)


override_dh_auto_build:
	dh_auto_build
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/scilab-getfem++/

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp 
	# Workaround for the other archs without scilab getfem++
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/scilab-getfem++/
	mkdir -p $(CURDIR)/debian/scilab-getfem++/usr/share/scilab/contrib/
	cd $(CURDIR)/debian/scilab-getfem++/usr/share/scilab/contrib/; \
	rm -f scilab-getfem++; \
	ln -s ../../../lib/scilab-getfem++/ getfem++

override_dh_install:
	dh_install --list-missing
	dh_numpy

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_strip-arch:
	dh_strip -a --dbg-package=libgetfem++-dbg

override_dh_pysupport-arch:
	dh_pysupport --package=python-getfem++

override_dh_auto_test:
	dh_auto_test || true

override_dh_python2:
	dh_python2 --no-guessing-versions

## getfem++ 4.1.1+dfsg1

=== debian/changelog ===
getfem++ (4.1.1+dfsg1-12~deb7u1) stable; urgency=medium

  [ Guillem Jover ]
  * [0d337a2] Fix broken patch headers. (Closes: #753921)

 -- Anton Gladky <gladk@debian.org>  Sun, 24 Aug 2014 14:01:36 +0200

getfem++ (4.1.1+dfsg1-11) unstable; urgency=low

  [ Anton Gladky ]
  * [2cba162] Add libmumps-dev to Depends of libgmm++-dev. (Closes: #680549)
  * [f22dd56] Imported Upstream version 4.1.1+dfsg1. (Closes: #693567)

  [ Sylvestre Ledru ]
  * [0b9acd3] Add a missing header for Scilab build.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 17 Nov 2012 22:44:01 +0100

getfem++ (4.1.1-10) unstable; urgency=low

  * [da2d323] Fix FTBFS with gcc-4.7. Thanks to Philipp Büttgenbach. 
              (Closes: #669635)
  * [20ac20d] Fix FTBFS with gcc-4.7. One more try.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 25 May 2012 21:55:22 +0200

getfem++ (4.1.1-9) unstable; urgency=low

  * [adc1137] Add hurd-i386 and s390x to scilab-exclude platforms.
  * [8abc7ce] Use Standards-Version: 3.9.2. No changes.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 19 Mar 2012 20:54:48 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
     python-numpy, python-scipy, python-all-dev, python-support (>= 1.0.4),
     scilab-include  [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x],
     scilab [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x]
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://home.gna.org/getfem/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/getfem.git
@@ -57,7 +57,7 @@
 Package: libgmm++-dev
 Section: libdevel
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libmumps-dev
 Description: Generic C++ template library for sparse, dense and skyline matrices
  GMM++ is a framework of pre-defined methods for matrix computation. It is built
  as a set of generic algorithms for any interfaced vector type or matrix type.

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 		CPPFLAGS="$(CPPFLAGS)" \
 		LDFLAGS="$(LDFLAGS)" 
 
-disable_scilab_archs   = mips kfreebsd-amd64 kfreebsd-i386
+disable_scilab_archs   = mips kfreebsd-amd64 kfreebsd-i386 s390x hurd-i386
 ifneq (,$(filter $(DEB_HOST_ARCH), $(disable_scilab_archs)))
 	configure_flags += --disable-scilab
 else

## getfem++ 4.2+dfsg1

=== debian/changelog ===
getfem++ (4.2+dfsg1-2) unstable; urgency=low

  * [ed398d5] Remove obsolete patches.
  * [5b3ac19] Fix FTBFS (topsrc variable in Makefiles). (Closes: #713626)
  * [8aeb68a] Use canonical VCS-field.
  * [c69b32f] Minor fix in changelog.
  * [ad44188] Use wrap-and-sort.
  * [375c354] Remove dh_pysupport.
  * [e078f28] Minor clean in debian/rules.

 -- Anton Gladky <gladk@debian.org>  Sun, 30 Jun 2013 21:04:54 +0200

getfem++ (4.2+dfsg1-1) unstable; urgency=low

  * [f22dd56] Imported Upstream version 4.1.1+dfsg1
  * [62ea42c] Update changelog.
  * [34b5caf] Convert to multiarch.
  * [2ede4e2] Remove obsolete DM-Upload flag.
  * [56bde73] Disable some more tests, which are unreliable.

 -- Anton Gladky <gladk@debian.org>  Tue, 07 May 2013 18:46:08 +0200

getfem++ (4.2+dfsg1-1~exp3) experimental; urgency=low

  * [4128354] Disabling ignoring of test failures. (Closes: #698611)
  * [bd0d183] Respect GETFEM_HAVE_METIS variable.
  * [8c5a0ef] Disable tests, which are unreliable on some platforms.
  * [daeaac2] Remove obsolete DM-Upload-Allowed flag.
  * [241a243] Bump Standards-Version: 3.9.4. No changes.

 -- Anton Gladky <gladk@debian.org>  Sun, 03 Feb 2013 13:44:16 +0100

getfem++ (4.2+dfsg1-1~exp2) experimental; urgency=low

  [ Sylvestre Ledru ]
  * [1d596c2]   * Build again Scilab module   
                * Add a missing header for Scilab build   
                  (interface/src/scilab/sci_gateway/c/stream_redirect.h)

  [ Anton Gladky ]
  * [213e81f] Add repacking script.
  * [8a0b197] Imported Upstream version 4.2+dfsg1

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 17 Nov 2012 20:14:09 +0100

getfem++ (4.2-1~exp1) experimental; urgency=low

  * [2cba162] Add libmumps-dev to Depends of libgmm++-dev. (Closes: #680549)
  * [21e35a6] Imported Upstream version 4.2. (Closes: #683958)
  * [866e716] Update copyright-file.
  * [b58de9b] Update patches, remove applied by upstreams ones.
  * [e3eace3] Fix definition order of mumps_error_check.
  * [87e7680] Disable scilab for all platforms temporarly.
  * [9ea9941] Use --parallel option for faster building.
  * [19c74e6] Fix some examples.
  * [2f138f5] Update TODO.

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 07 Nov 2012 22:10:36 +0100

=== debian/control ===
Source: getfem++
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Konstantinos Poulios <poulios.konstantinos@gmail.com>,
 Anton Gladky <gladk@debian.org>
Build-Depends:
 autoconf,
 automake,
 autotools-dev,
 debhelper (>= 9),
 dh-autoreconf,
 libblas-dev,
 libboost-dev,
 libmumps-seq-dev [!s390x],
 libmuparser-dev [!hurd-i386],
 libqhull-dev,
 libsuperlu3-dev,
 libtool,
 python-all-dev,
 python-numpy,
 python-scipy,
 python-support (>= 1.0.4),
 scilab [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x],
 scilab-include  [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x]
Standards-Version: 3.9.4
Section: libs
Homepage: http://home.gna.org/getfem/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/getfem.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/getfem.git

Package: libgetfem++-dbg
Section: debug
Architecture: any
Depends:
 libgetfem4++ (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Debugging symbols for the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains debugging files used to investigate problems with
 binaries included in the GETFEM++ packages.

Package: libgetfem++-dev
Section: libdevel
Architecture: any
Depends:
 libboost-dev,
 libgetfem4++ (= ${binary:Version}),
 libgmm++-dev,
 libmuparser-dev [!hurd-i386],
 libsuperlu3-dev,
 ${misc:Depends}
Description: Development files for the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains development files for building software that uses the
 GETFEM++ library.

Package: libgetfem4++
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.

Package: libgmm++-dev
Section: libdevel
Architecture: all
Depends:
 libmumps-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Generic C++ template library for sparse, dense and skyline matrices
 GMM++ is a framework of pre-defined methods for matrix computation. It is built
 as a set of generic algorithms for any interfaced vector type or matrix type.
 .
 It can be viewed as a glue library allowing cooperation between several vector
 and matrix types. However, basic sparse, dense and skyline matrix/vector types
 are built-in, hence it can be used as a standalone linear algebra library.

Package: python-getfem++
Section: python
Architecture: any
Depends:
 libgetfem4++ (= ${binary:Version}),
 python (<<2.8),
 python (>= 2.7),
 python-numpy,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
X-Python-Version: current
Provides:
 ${python:Provides}
Description: Python interface to the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains the Python interface to GETFEM++.

Package: scilab-getfem++
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Architecture: alpha amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
Depends:
 libgetfem4++ (= ${binary:Version}),
 scilab,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Scilab interface to the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains the Scilab interface to GETFEM++.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2 --parallel --with autoreconf

#=====================================================================
# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

export CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

export LD_LIBRARY_PATH :=$(LD_LIBRARY_PATH):$(CURDIR)/./src/.libs/

configure_flags= $(CROSS) --prefix=/usr \
		--enable-boost --enable-shared --with-pic \
		--enable-python \
		--disable-matlab --disable-superlu --enable-scilab\
		CFLAGS="$(CFLAGS)" \
		CXXFLAGS="$(CXXFLAGS)" \
		CPPFLAGS="$(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" 

disable_scilab_archs   = mips kfreebsd-amd64 kfreebsd-i386 s390x hurd-i386
ifneq (,$(filter $(DEB_HOST_ARCH), $(disable_scilab_archs)))
	configure_flags += --disable-scilab
else
	configure_flags += --enable-scilab --with-scilab-toolbox-dir=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/scilab-getfem++/
endif

disable_muparser_archs = hurd-i386
ifneq (,$(filter $(DEB_HOST_ARCH), $(disable_muparser_archs)))
	configure_flags += --disable-muparser
else
	configure_flags += --enable-muparser 
endif

disable_mumps_archs = s390x
ifneq (,$(filter $(DEB_HOST_ARCH), $(disable_mumps_archs)))
	configure_flags += --disable-mumps
else
	configure_flags += --enable-mumps --with-mumps="-lsmumps_seq -ldmumps_seq -lcmumps_seq -lzmumps_seq -lpord_seq"  
endif


# shared library versions, option 1
version=4.2
major=5
#=====================================================================

override_dh_auto_configure:
	dh_auto_configure --	$(configure_flags)

override_dh_auto_build:
	dh_auto_build
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/scilab-getfem++/

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp 
	# Workaround for the other archs without scilab getfem++
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/scilab-getfem++/
	mkdir -p $(CURDIR)/debian/scilab-getfem++/usr/share/scilab/contrib/
	cd $(CURDIR)/debian/scilab-getfem++/usr/share/scilab/contrib/; \
	rm -f scilab-getfem++; \
	ln -s ../../../lib/$(DEB_HOST_MULTIARCH)/scilab-getfem++/ getfem++

override_dh_install:
	dh_install --list-missing
	dh_numpy

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_strip-arch:
	dh_strip -a --dbg-package=libgetfem++-dbg

override_dh_auto_test:
	PYTHONPATH=$(CURDIR)/interface/src/python/ dh_auto_test

override_dh_python2:
	dh_python2 --no-guessing-versions

## getfem++ 4.2.1~beta1~svn4453~dfsg

=== debian/changelog ===
getfem++ (4.2.1~beta1~svn4453~dfsg-1) unstable; urgency=low

  * [e3bfac6] Imported Upstream version 4.2.1~beta1~svn4453~dfsg
  * [ef396dc] Refresh patches.

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Nov 2013 19:46:13 +0100

getfem++ (4.2.1~beta1~svn4422~dfsg-1) unstable; urgency=low

  * Imported Upstream version 4.2.1~beta1~svn4422~dfsg. (Closes: #720786)
  * [6e2d143] Add get_orig.sh script.
  * [7cf02a9] Remove some old patches.
  * [1582708] Update patches.
  * [843fa56] Link boost_system explicitly.
  * [d7c875f] Simplify debian/rules.

 -- Anton Gladky <gladk@debian.org>  Sat, 14 Sep 2013 22:08:43 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
  debhelper (>= 9),
  dh-autoreconf,
  libblas-dev,
- libboost-dev,
+ libboost-all-dev,
+ libmetis-dev,
  libmumps-seq-dev [!s390x],
  libmuparser-dev [!hurd-i386],
  libqhull-dev,

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2 --parallel --with autoreconf

#=====================================================================

export CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

export LD_LIBRARY_PATH :=$(LD_LIBRARY_PATH):$(CURDIR)/./src/.libs/

configure_flags= $(CROSS) --prefix=/usr \
		--enable-boost --enable-shared --with-pic \
		--enable-python --enable-metis \
		--disable-matlab --disable-superlu \
		--enable-muparser --enable-mumps \
		--with-mumps="-lsmumps_seq -ldmumps_seq -lcmumps_seq -lzmumps_seq -lpord_seq"  

disable_scilab_archs   = mips kfreebsd-amd64 kfreebsd-i386 s390x hurd-i386
ifneq (,$(filter $(DEB_HOST_ARCH), $(disable_scilab_archs)))
	configure_flags += --disable-scilab
else
	configure_flags += --enable-scilab --with-scilab-toolbox-dir=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/scilab-getfem++/
endif


#=====================================================================

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_auto_build:
	dh_auto_build
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/scilab-getfem++/

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp 
	# Workaround for the other archs without scilab getfem++
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/scilab-getfem++/
	mkdir -p $(CURDIR)/debian/scilab-getfem++/usr/share/scilab/contrib/
	cd $(CURDIR)/debian/scilab-getfem++/usr/share/scilab/contrib/; \
	rm -f scilab-getfem++; \
	ln -s ../../../lib/$(DEB_HOST_MULTIARCH)/scilab-getfem++/ getfem++

override_dh_install:
	dh_install --list-missing
	dh_numpy

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_strip-arch:
	dh_strip -a --dbg-package=libgetfem++-dbg

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_auto_test:
